
=head1 NAME

Win32::GUI::RadioButton - Create and manipulate radio button controls

=head1 DESCRIPTION

[TBD]

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(PARENT, %OPTIONS)>

Creates a new RadioButton object;
can also be called as PARENT->AddRadioButton(%OPTIONS).

B<%OPTIONS> are the same as Button (See L<new Win32::GUI::Button()|Win32::GUI::Button/new> ).

See also the L<common options|Win32::GUI::Reference::Options>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Checked

B<Checked([VALUE])>

Gets or sets the checked state of the RadioButton; if called without
arguments, returns the current state:

  0 not checked
  1 checked

If a B<VALUE> is specified, it can be one of these (eg. 0 to uncheck the
RadioButton, 1 to check it).

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click

B<Click()>

Simulate the user clicking a button.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GetCheck

B<GetCheck()>

Returns the check state of the RadioButton:

  0 not checked
  1 checked

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 SetCheck

B<SetCheck([VALUE=1])>

Sets the check state of the RadioButton; for a list of possible values,
see L<GetCheck()|Win32::GUI::RadioButton/GetCheck>.
If called without arguments, it checks the Checkbox (eg. STATE = 1).




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click (Win32::GUI::Button)

B<Click()>

Sent when the control is selected (eg.
the button pushed, the checkbox checked, etc.).

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 DblClick (Win32::GUI::Button)

B<DblClick()>

Sent when the user double clicks on the control.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Disable (Win32::GUI::Button)

B<Disable()>

Sent when the button is disabled

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 GotFocus (Win32::GUI::Button)

B<GotFocus()>

Sent when the control is activated.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 LostFocus (Win32::GUI::Button)

B<LostFocus()>

Sent when the control is deactivated.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Push (Win32::GUI::Button)

B<Push(State)>

Sent when the state button change.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.12 created 20 Jan 2016

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/p/perl-win32-gui/mailman/perl-win32-gui-users/>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2016 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


